ody, html {
    margin: 0;
    padding: 0;
}

body {
    background-color: floralwhite;
    min-height: 100vh;
    font-size: 18px;
    font-family: "Helvetica Bold", Helvetica, sans-serif;
}

h1 {
    margin-block: 20px;
}

h2 {
    margin-block: 15px;
}

#upper-header {
    display: flex;
}

nav {
    display: flex;
    justify-content: space-evenly;
    background-color: darkgreen;
    height: 64px;
    align-items: center;
}

p {
    margin-block: 6px;
}

figure {
    display: flex;
    align-items: center;
    margin-left: 5px;
}

figcaption {
    margin-left: 8px;
}

#bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: forestgreen;
    position: sticky;
    top: 0;
}

.nav-button {
    display: block;
    background-color: limegreen;
    padding: 10px 20px;
    text-decoration: none;
    color: black;
    border-radius: 10px;
}

    .nav-button:active {
        background-color: lightgreen;
    }

#search {
    display: flex;
    align-items: center;
    gap: 3px;
    margin-left: 10px;
}

#sort {
    padding-right: 32px;
}

.dropdown, .filter-dropdown {
    position: relative;
    display: inline-block;
    margin-top: 5px;
}

.dropdown-content {
    display: none;
    padding: 5px;
    min-width: 120px;
    background-color: white;
    position: absolute;
    z-index: 2;
}

.filter-dropdown-content {
    display: none;
    position: absolute;
    background-color: mediumaquamarine;
    min-width: 512px;
    z-index: 2;
}

.search-input:hover .dropdown-content {
    display: block
}

.filter-dropdown:hover .filter-dropdown-content {
    display: block;
}

footer {
    text-align: center;
    background-color: forestgreen;
    padding: 10px;
}

table {
    border-color: black;
    border-radius: 2px;
    border-style: solid;
    border-collapse: collapse;
    margin: 10px;
}

th, td {
    text-align: center;
    border-color: black;
    border-radius: 1px;
    border-style: solid;
    padding: 5px;
}
